{

    //收集3/5/7张【感电】流派卡牌后，每过14/10/7秒，下一次雷属性攻击必定触发【感电】



    "AbilityName" : "Card_Electro_1000505",

    "AbilityStacking":"Unique",

    "DefaultModifier":

    {

        "ModifierStacking":"Unique",

        "Properties":

        {

            "AnimEventBuffOddsDelta_Electric":"%DELTA"

        },"OnAdded":[

            {

                //判断卡牌数量

                "$type":"MoleMole.SetAbilitySpecialByExpression",

                "ParamName":"GenreNum_Electric",

                "ValueType":"float",

                "Expression":"item(1000501)+item(1000502)+item(1000503)+item(1000504)+item(1000505)+item(1000506)+item(1000507)+item(1000508)"

            },

            {

                "$type": "MoleMole.SetAbilitySpecialAction",

                "ParamName": "Duration",

                "ParamType": "abilitySpecial_float",

                "ModifyFunction": "Replace",

                "Param": "Duration1",

                "Predicates" :

                [

                    {

                        "$type" : "MoleMole.ByAbilitySpecial",

                        "Target" : "Self",

                        "ParamName": "GenreNum_Electric",

                        "ParamType": "float",

                        "CompareType": "GreaterEqual",

                        "Param" : 3

                    }

                ]

            },

            {

                "$type": "MoleMole.SetAbilitySpecialAction",

                "ParamName": "Duration",

                "ParamType": "abilitySpecial_float",

                "ModifyFunction": "Replace",

                "Param": "Duration2",

                "Predicates" :

                [

                    {

                        "$type" : "MoleMole.ByAbilitySpecial",

                        "Target" : "Self",

                        "ParamName": "GenreNum_Electric",

                        "ParamType": "float",

                        "CompareType": "GreaterEqual",

                        "Param" : 5

                    }

                ]

            },

            {

                "$type": "MoleMole.SetAbilitySpecialAction",

                "ParamName": "Duration",

                "ParamType": "abilitySpecial_float",

                "ModifyFunction": "Replace",

                "Param": "Duration3",

                "Predicates" :

                [

                    {

                        "$type" : "MoleMole.ByAbilitySpecial",

                        "Target" : "Self",

                        "ParamName": "GenreNum_Electric",

                        "ParamType": "float",

                        "CompareType": "GreaterEqual",

                        "Param" : 7

                    }

                ]

            },

            {

                "$type":"MoleMole.ApplyModifier",

                "ModifierName":"Elc_AddBuff",

				"Target" : "Self",

                "Predicates" :

                [

                    {

                        "$type" : "MoleMole.ByAbilitySpecial",

                        "Target" : "Self",

                        "ParamName": "GenreNum_Electric",

                        "ParamType": "float",

                        "CompareType": "GreaterEqual",

                        "Param" : 3

                    }

                ]

            }

        ]

    },

    "Modifiers" :

	{

		//每7.5秒申请一个【感电】BUFF

		"Elc_AddBuff" :

		{

            "Duration": -1,

            "ModifierStacking":"Unique",

            "OnHitOtherPre":[

                {

                    "$type" : "MoleMole.ApplyModifier",

                    "ModifierName" : "Interval",

                    "Target" : "Self",

                    "Predicates":

                    [

                        {

                            "$type":"MoleMole.ByDamageElementType",

                            "DamageElement":"Elec",

                            "Target" : "Self"

                        }

                    ]

                },

                {

                    "$type" : "MoleMole.RemoveModifier",

                    "ModifierName" : "Elc_AddBuff",

                    "Target" : "Self",

                    "Predicates":

                    [

                        {

                            "$type":"MoleMole.ByDamageElementType",

                            "DamageElement":"Elec",

                            "Target" : "Self"

                        }

                    ]

                }

            ]

		},

		"Interval" :

		{

			"ModifierStacking" : "Replace",

            "Duration": "%Duration",

            "OnBuffAddToOther":[

                {

                    "$type": "MoleMole.SetAbilitySpecialAction",

                    "ParamName": "DELTA",

                    "ParamType": "float",

                    "ModifyFunction": "Replace",

                    "Param": 0,

                    "DoRefresh":true,

                    "Predicates" :

                    [

                        {

                            "$type" : "MoleMole.ByBuffGroup",

                            "BuffGroupList" : ["Electric"],

                            "Target" : "Target"

                        }

                    ]

                }

            ],

            "OnRemoved":[

                {

                    "$type": "MoleMole.SetAbilitySpecialAction",

                    "ParamName": "DELTA",

                    "ParamType": "float",

                    "ModifyFunction": "Replace",

                    "Param": 1,

                    "DoRefresh":true

                },

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Elc_AddBuff",

                    "Target" : "Self"

                }

            ]

		}

	},

    "AbilitySpecials" : 

    {

        "Duration":

        {

            "Value":10

        },

        "Duration1":

        {

            "Value":14

        },

        "Duration2":

        {

            "Value":10

        },

        "Duration3":

        {

            "Value":7

        },

        "GenreNum_Electric":

        {

            "Value":0

        },

        "DELTA":{

            "Value":1

        }

    }

}